Skip to content

DynHost

All operations require authentication.

11 operationsv1/domain/zone
Agent setup

List DynHost loginsProduction

GET
/1.0/domain/zone/{zoneName}/dynHost/login

Returns the DynHost logins of the zone. Can be filtered by login and subdomain.

Path parameters

zoneName
required
string

Zone name

Query parameters

login
string

Filter the value of login property (ilike)

subDomain
string

Filter the value of subDomain property (ilike)

Response

200string[]successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/login \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a DynHost loginProduction

GET
/1.0/domain/zone/{zoneName}/dynHost/login/{login}

Returns a DynHost login: its name and the subdomain it can update.

Path parameters

login
required
string

Login

zoneName
required
string

Zone name

Response

200Loginsuccessful operation
login
read-only
string

Login name

subDomain
string

Login sub-domain

zone
read-only
string

Login zone

Example uses login = string, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/login/{login} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "login": "string", "subDomain": "string", "zone": "string"}

Create a DynHost loginProduction

POST
/1.0/domain/zone/{zoneName}/dynHost/login

Creates a login named from the zone name and a suffix. The subdomain * allows all subdomains.

Path parameters

zoneName
required
string

Zone name

Request body (required)

loginSuffix
required
string

Suffix that will be concatenated to the zoneName to create the login

password
required
stringpassword

Password of the login

subDomain
required
string

Subdomain that the login will be allowed to update (use * to allow all)

Response

200Loginsuccessful operation
login
read-only
string

Login name

subDomain
string

Login sub-domain

zone
read-only
string

Login zone

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/login \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "login": "string", "subDomain": "string", "zone": "string"}

Update a DynHost loginProduction

PUT
/1.0/domain/zone/{zoneName}/dynHost/login/{login}

Updates the subdomain a DynHost login is allowed to update.

Path parameters

login
required
string

Login

zoneName
required
string

Zone name

Request body (required)

login
read-only
string

Login name

subDomain
string

Login sub-domain

zone
read-only
string

Login zone

Response

200—successful operation

Example uses login = string, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/login/{login} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a DynHost loginProduction

DELETE
/1.0/domain/zone/{zoneName}/dynHost/login/{login}

Deletes a DynHost login from the zone.

Path parameters

login
required
string

Login

zoneName
required
string

Zone name

Response

200—successful operation

Example uses login = string, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/login/{login} \
  -H "authorization: Bearer $OVH_TOKEN"

Change a DynHost passwordProduction

POST
/1.0/domain/zone/{zoneName}/dynHost/login/{login}/changePassword

Sets a new password for a DynHost login.

Path parameters

login
required
string

Login

zoneName
required
string

Zone name

Request body (required)

password
required
stringpassword

New password of the DynHost login

Response

200—successful operation

Example uses login = string, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/login/{login}/changePassword \
  -H "authorization: Bearer $OVH_TOKEN"

List DynHost recordsProduction

GET
/1.0/domain/zone/{zoneName}/dynHost/record

Returns the identifiers of the DynHost records of the zone. Can be filtered by subdomain.

Path parameters

zoneName
required
string

Zone name

Query parameters

subDomain
string

Filter the value of subDomain property (ilike)

Response

200integer[]successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/record \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a DynHost recordProduction

GET
/1.0/domain/zone/{zoneName}/dynHost/record/{id}

Returns a DynHost record: subdomain, IP and TTL.

Path parameters

id
required
integer

Id

zoneName
required
string

Zone name

Response

200Recordsuccessful operation
id
read-only
integer

Record ID

ip
ip

Record IP

subDomain
string

Record sub-domain

ttl
read-only
integer

Record TTL (Time to Live)

zone
read-only
string

Record zone

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/record/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": 0, "ip": "192.0.2.0", "subDomain": "string", "ttl": 0, "zone": "string"}

Create a DynHost recordProduction

POST
/1.0/domain/zone/{zoneName}/dynHost/record

Creates a DynHost record with a subdomain, an IP and a TTL.

Path parameters

zoneName
required
string

Zone name

Request body (required)

id
read-only
integer

Record ID

ip
ip

Record IP

subDomain
string

Record sub-domain

ttl
read-only
integer

Record TTL (Time to Live)

zone
read-only
string

Record zone

Response

200Recordsuccessful operation
id
read-only
integer

Record ID

ip
ip

Record IP

subDomain
string

Record sub-domain

ttl
read-only
integer

Record TTL (Time to Live)

zone
read-only
string

Record zone

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/record \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": 0, "ip": "192.0.2.0", "subDomain": "string", "ttl": 0, "zone": "string"}

Update a DynHost recordProduction

PUT
/1.0/domain/zone/{zoneName}/dynHost/record/{id}

Updates the IP and TTL of a DynHost record.

Path parameters

id
required
integer

Id

zoneName
required
string

Zone name

Request body (required)

id
read-only
integer

Record ID

ip
ip

Record IP

subDomain
string

Record sub-domain

ttl
read-only
integer

Record TTL (Time to Live)

zone
read-only
string

Record zone

Response

200—successful operation

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/record/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a DynHost recordProduction

DELETE
/1.0/domain/zone/{zoneName}/dynHost/record/{id}

Deletes a DynHost record.

Path parameters

id
required
integer

Id

zoneName
required
string

Zone name

Response

200—successful operation

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dynHost/record/{id} \
  -H "authorization: Bearer $OVH_TOKEN"